Fedora Linux Support Community & Resources Center
  #1  
Old 31st July 2017, 03:53 AM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 43
Posts: 490
linuxchrome
samba-dc-2:4.7.0rc3.fc27 missing python2-python

I know it is rawhide is experimental but I was having fun playing with the new dc functionality. rc1 was working. Today when I upgraded I get the following message.

Code:
[root@dc1 samba]# dnf install samba-dc
Last metadata expiration check: 0:43:53 ago on Sun 30 Jul 2017 08:03:43 PM MDT.
Error:
 Problem: conflicting requests
  - nothing provides python2-python = 2:4.7.0-0.7.rc3.fc27 needed by samba-dc-2:4.7.0-0.7.rc3.fc27.x86_64
Should I add another repo?

I'll look for answers on here for how to find the maintainer of rpms.
Reply With Quote
  #2  
Old 31st July 2017, 07:17 PM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 43
Posts: 490
linuxchrome
Re: samba-dc-2:4.7.0rc3.fc27 missing python2-python

Back on the rawhide install page I saw the mailing list and found that as the right way to go. So I will try that and follow up with this thread as they resolve it.
Reply With Quote
  #3  
Old 1st August 2017, 07:41 PM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 43
Posts: 490
linuxchrome
Re: samba-dc-2:4.7.0rc3.fc27 missing python2-python

I used the following for now to get it to install.

Code:
dnf install samba python2-samba
dnf download samba-dc
rpm -i --nodeps samba-dc*
Now I can run samba-tool to provision a domain.

I think they meant to have it depend on python2-samba instead of python2-python

:-)
Reply With Quote
  #4  
Old 9th August 2017, 07:23 PM
Jeff Sadowski Offline
Registered User
 
Join Date: Jun 2005
Age: 43
Posts: 490
linuxchrome
Re: samba-dc-2:4.7.0rc3.fc27 missing python2-python

and they fixed it this is no longer an issue.
Reply With Quote
Reply

Tags
missing, python2python, sambadc0rc3fc27

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
python(ABI) missing kc2dws F14 Development 1 23rd September 2010 08:54 PM
python[abi] Missing? daytooner Using Fedora 1 23rd November 2009 02:39 AM
Python(abi) dependency missing wvn Using Fedora 38 16th June 2009 11:27 PM
yum / python missing iterparse kblake Using Fedora 7 14th March 2007 02:00 PM
samba-python ? smoxk Programming & Packaging 2 26th January 2007 09:19 AM


Current GMT-time: 10:41 (Friday, 18-08-2017)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat